Description

With the introduction of cyclic controls in 1.9.1 there is now something odd happening with aerodynamics? We took a hit on
performance!

We know in 1.9.1 a new cyclic control was introduced. At the same time, Squad changed the inverted lift vectors for clockwise (CW)
and counterclockwise (CCW) rotor engines so they are both positive or both negative (previously they were opposed). This made
sense as the new cyclic control code/logic probably had issues with the wing deploy angles having to be positive or negative
depending on rotation direction. But now I'm seeing a performance loss on high speed compound helos and the rotor blade plane
tilts (a bit ridiculously) to one side or the other depending on rotor engine direction of rotation. Which, as you will see below, looks
kinda dumb.

This simple screen pic displays the opposing green vectors | mentioned:
http://www.xl-logic.com/KSP/Screenshots/Green_Vectors.jpg

So, there is some strange interaction going on now with the blades/rotors at speed that has caused my helos to lose about 20 m/s of
forward speed. Probably related to the controls having to compensate now for this unwanted rotor plane tilt? Notice in this series of 3
screenprints, the coaxial rotor blade planes tilt BADLY as airspeed increases.

Here we see the craft at hover to 50m/s and the coaxial rotor planes are perfectly level:
http://xI-logic.com/KSP/Screenshots/RotorTilt1.jpg

As we increase speed you can see the rotors are starting to filt:
http:/xl-logic.com/KSP/Screenshots/RotorTilt2.jpg

Until we end up in this ridiculous looking situation at higher speeds:
http:/xl-logic.com/KSP/Screenshots/RotorTilt3.jpg

| should note that this craft DOES NOT EVEN USE THE NEW CYCLIC CONTROLS! For comparison, here is the same exact craft
traveling at high speed in version 1.9.0 prior to the cyclic being added. Notice the blade planes are not tilted and the craft can make
175 m/s!

http://xI-logic.com/KSP/Screenshots/RotorTilt4.jpg

Thanks to this bug (or unwanted change?) this craft lost about 20 m/s from its top speed and struggles a bit to maintain stability in the
160 m/s range. Here's a link to the coaxial helo in the screenshots that demonstrates how the rotor planes now tilt for no good
reason and cause the craft to lose speed while fighting against invisible evil forces.

https://kerbalx.com/XLjedi/MH-45-Cyclone-llI

Additionally, there are some theories that it may be related to the opposing green vectors you see on counter-rotating multi-engine
designs and | invite others to add to the discussion and share their own examples. My issues have been mostly related to the tilted
rotor blades.

History

#1 - 04/04/2020 02:05 AM - Anonymous
- File d.jpg added

The force trying to tilt the blades is expected,
because the blades on one side are moving faster through the air (blade speed plus helicopter speed) than the other (minus).
https://en.wikipedia.org/wiki/Dissymmetry_of_lift

Usually, this force accelerates the blades while they are on the left and right of the craft, such that they reach the high point in the forward-most point
of their arc. Whether by pitching the craft up or flapping the blades if they flap, the effect is to tilt the disc through which the blades spit, forward side
up. That slows down the craft unless you apply forward stick.

KSPs Helicopter Blades and Propellers are strange in that their centers of mass are at their roots, so rotors made with them have very little angular
momentum, so precession effects are very small. | think that is why the disks tilt to the sides rather than forward-side up. Thought of another way, if
you like flapping blades, there is no mass out in the swinging parts of the blades so they respond to the 'dissymmetry of lift' immediately,
raising/lowering while they are on the sides of the craft.

It is strange if there was a change between versions. Maybe the centers of mass shifted slightly?
| find | can make the props more physically reasonable by moving the blades outward a bit, so the centers of mass are not all along the rotor axis.

The green vectors seem (by observation) to show direction of rotation using the "right hand rule" convention. The clockwise blades having slightly
more force than the counterclockwise looks like a different issue than shown by the other linked craft and the other images.

Both are discussed here https://forum.kerbalspaceprogram.com/index.php?/developerarticles.html/19-advanced-blade-controls-r211/

#2 - 04/04/2020 09:03 AM - 1Smug_Bastard

Here is the Swing arm Test-Stand, clearly something is bugged here. From what | can see the entire assembly is being twisted from both sides yet
one side becomes dominant causing the entire stand to Yaw. In flight, I'm seeing the exact same phenomena regardless of setting, part placement or
symmetry. For an Aircraft counter rotating props that are not over the crafts center-line will cause significant Yaw.

Note: The entire assembly is mirrored then symmetry removed to allow for CW and CCW rotations.

https://youtu.be/MWBHUQk3gFA

Here is a craft using KSP 1.9.0 which flies pretty good compaired to KSP 1.9.1: : https:/steamcommunity.com/sharedfiles/filedetails/?id=2047597700

#3 - 04/04/2020 12:23 PM - XLjedi
@k-oharababa@oco.net

I'm familiar with the concept, however something changed in 1.9.1 as | have shown with the pictures that seems to have greatly exaggerated the
effect between 1.9.0 and 1.9.1. | don't mind lift dysmmetry, but it should not be tilting the blades on a coaxial design so far that they appear to touch
during flight.

The blades are now actually causing our bendy rotor motors to noodle in flight. That's why the blades appear to tilt so far, it's the rotor engine
bending. I'd maybe be OK with the performance hit, if they just strengthened the BG robotics parts a bit so you don't see this effect.

Rotorcraft and propellers took a performance hit on 1.9.1. There seems to be no reason they needed nerfing?

#4 - 04/05/2020 04:00 AM - Anonymous

- File props.jpg added

- File RCSmotor_ThrottleCollective.craft added

| cannot confirm with the linked craft because it will not load in version 1.9.0 or earlier.

But | think the change you noticed came with the Collective/Cyclic controls between 1.8.1 and 1.9.0.

The pink arrows show (based on my observations) where on the props KSP measures airspeed in order to figure the lift. The yellow arrows show
where that lift is applied. By applying the lift so far inboard, KSP reduces the torque caused by the advancing blade having more lift than the receding
blade.

When these blades first came out, | noticed that helicopters did not behave as | expected. Many of the blades had the yellow arrows at the very root.

| made suggestion #23330, to apply the forces at the points were the airspeed is measured. My thinking was that many KSP players like to think
about how the real analogues work, and hiding all torque effects of propeller blades takes away from that.

In version 1.9.0, the yellow arrows moved a bit outward. (The small helicopter blade that | use, already had a yellow vector in a place that fits the new
pattern, so | did not notice the change.) | guess the reason might have been so that the new built-in cyclic controls have some lever arm with which to
roll the craft. Those lift forces in their new places also tilt the disk of the spinning propellers more.

It seems to me that your top speed on the MH-45-Cyclone-IIl (which at 300kts is faster than any helicopter built by man) is now limited for the same
fundamental reason that limits real helicopters. This seems like a good change to me.

#5 - 04/05/2020 05:13 AM - Anonymous
- File a.craft added
- File turntable.jpg added
and | don't see any tendency to yaw, either, with counter-rotating props on an aircraft, even if it is sitting on a turntable.

#6 - 04/05/2020 03:40 PM - XLjedi
- File MH-45 Cyclone Il 181.craft added

As requested, the 1.8.1 version of the craft is now posted for confirmation in 1.8. You're correct, the cyclic update was from 1.8 to 1.9. My craft is just
one example of the unintended nerf regardless of how fast it goes... The extra speed on this craft just serves to point out what is going on with all
rotor/prop multi-engine craft. ...and maybe an indicator of why there was a performance hit? I'm not here to argue kerbo-kopter speed vs. RL helos.

Multi-engine propeller craft IN GENERAL took a 20-25 m/s nerfing on the 1.9.0 or 1.9.1 update as a result of adding the cyclic control. Which to be
frank, | have not yet seen a case where any level of precise control has been achieved using this new cyclic ability. It only seems to have damaged
the performance of multi-engine propeller & rotor craft while making toy helos to land on the KSC pads no more (possibly less?) controllable than they
were before cyclic was added.

There is now an even further gaping performance differential between the ducted fans and regular propellers. So much so, regular props have been
almost completely obsoleted. | only use them now for the sake of immersion/roleplay, because there's really no other reason to put them on a craft!

There is also some debate going on related to unwanted yaw at speed since the 1.9 update. (references to the green vector) | have not really seen it
in my own testing, but | will take a look at "smug b-tards" example craft again and try to figure out why it displays unwanted yaw while tethered to the
runway. My own examples with prop blades don't seem to have the problem, but it might be compounded by the larger rotor blades that "smug
b-tard" used in his example craft.

#7 - 04/05/2020 03:46 PM - XLjedi

Ya know, I'd be OK with the idea of the lift vectors being more like where they should be compared to RL. The problem is, the rotor engines they are
attached to... VERY UNLIKE REALITY, will now bend like noodles under this RL lift vector position!

If they want to mimic RL, I'm fine with it... but if that's the direction they want to go, they ALSO need to strengthen the robotics parts so they don't
bend like rubber!

#8 - 04/05/2020 04:44 PM - XLjedi

- File Unwanted Yaw.craft added

@K-Ohara Your turntable test craft is not using the right equipment.

Here check this one...

| tried to mimic the craft that "1Smug B-tard" built and | do see unwanted yaw when under load. Curiously, when | tested it on 1.9.1 this craft always
seems to yaw (rotate) left regardless of whether the rotors/blades are set to CW or CCW. Just turn on aerofoces and advance throttle slowly toward
max to see the yaw introduced as the load on the engines increases.

| don't claim to know what's going on yet; | just know it should not be doing this. Correct?

So my current hypothesis is: When multi-engine craft are flying at speed under load. Some force is getting introduced that is causing unwanted yaw

and makes the craft a bit unstable. SAS is compensating with rudder/aileron input and there is a performance drop on top speed as a result. |
concede it is odd that the yaw is always to the left in my test craft regardless of inward or outward rotating engines/blades.

#9 - 04/05/2020 05:14 PM - XLjedi
- File Unwanted Yaw.craft added

#10 - 04/05/2020 05:16 PM - XLjedi

If 1 tilt the rotor plane orientation a bit on the second "unwanted yaw" craft (just above), so the blades are spinning more level when under a power
load, it seems | can have a more predictable influence on direction of rotation being consistent with the green vectors when changing between CW
and CCW on the engines/blades.

#11 - 04/05/2020 06:14 PM - XLjedi
- File ohara_a.craft added
@Ohara

Uhhh, | looked at your "a.craft" example and you wouldn't see any yaw in that because you're not even putting enough load on the engines to cause
the thing to fall off its pedestal! If you don't build multi-engine craft powerful enough to leave the ground you will never see a problem.

Here, | added some real engines and load to your "a.craft" example. Can you throttle this one forward to 100% and still tell me your example craft
does not have unwanted yaw? ...or at least some strange force acting on it that causes it to spin around under a power load?

As for direction of rotation. | can't really explain the randomness. | can't say it's tied to the green vectors because sometimes it moves counter to
them. So the question is, do these tethered examples actually prove anything? ...or is it just some random flexing in the support structure tilting one
way or another? It seems to be a strong enough force to dismiss it as random flexing.

| would also point out that you can stop/start the rotation by applying power. In which case, the craft always rotates in the same direction. So the
thought there is that torque is somehow inducing the yaw behavior and it's not random because it doesn't behave randomly after launch. Always pulls
in one direction. In this revised example of YOUR craft, you can control the rotational force by moving the throttle back and forth between 50% and
100% power.

I've been trying to figure out what causes yaw and performance loss under power during high speed flight in the latest 1.9.1 version. I'm not sure the
tethered turntables are proving anything or not? Instability of the rotor blades at speed? | dunno. | just don't think it acted like this in prior versions.

Just seems to be something odd now in the aerodynamics of rotors/blades. I'm not seeing where dysmmetry of lift (if that's it?) should be causing
multi-engine propeller designs to go a bit squirrely and lose their performance.

#12 - 04/05/2020 06:44 PM - 1Smug_Bastard
@XLjedi

I've tested the Swing-Arm turn table using both v1.9.1 and V1.9.0 and can 100% say this is a 1.9.1 issue. From observations, the 1.9.0 doesn’t yaw at
all. I've even removed the launch clamps after full throttle was achieved to see the assembly fly directly forward before crashing. (No SAS was used)

Furthermore the direction of Yaw in V1.9.1 is determined by the direction the counter rotating propellers are spinning. Swapping each sides direction
while maintaining the counter rotation will change the inducted direction of Yaw.

Cheers!

1SB

#13 - 04/05/2020 07:50 PM - XLjedi
1Smug_Bastard wrote:

Furthermore the direction of Yaw in V1.9.1 is determined by the direction the counter rotating propellers are spinning. Swapping each sides
direction while maintaining the counter rotation will change the inducted direction of Yaw.

Ya know, | wasn't sure but thanks for confirming!

| thought it was something goofy between 1.9.0 and 1.9.1 update. Probably not the cyclic addition directly, but maybe that revamp of the rotor blade
system in 1.9.1? I'm willing to bet they were so focused on a useless 20 m/s helo puttzing around the KSC, that they didn't bother to test the broader
impact of their change.

However, | have seen the unwanted yaw move counter to the direction of those green vectors in some craft. I've also seen cases where changing the
CW/CCW rotation still results in the craft rotating in same left or right rotation as CCW/CW. | don't have any good explanation for this. | just know
that once a craft is launched it always seems to want to roll in one direction or the other and | can control it (cause it to stop and restart) by throttling
the engine torque load between say 50% and 100%.

I only have a 1.8.1 and 1.9.1 install. If  had 1.9.0 | would test my helo to see if the blades tilted badly like that in 1.9.0 or if it was related to this recent
(somewhat pointless) 1.9.1 rotor-blade dynamics update.

#14 - 04/05/2020 07:54 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed both.
1) BG props and helicopter blades show more aerodynamic torque in version 1.9 compared to 1.8.1

This appears to be caused by the yellow lift vectors moving outboard ('CoLOffset' changed in the config files). The BG props are special in that the lift
and drag forces are applied inboard from where the relative airspeed is found. This gives them a performance boost because the shorter lever arm
reduces back-torque on the motors, which boost is now reduced.

That by itself would explain your top speed dropping. When the blades have pitch, their lift has a backward component, trying to slow the rotor down.
The lever arm converting that lift into back-torque, once greatly reduced by BG props, is now reduced less, so the engine has to do closer to its fair
share of work.

Somebody exploited the displaced lift vectors with a free-energy craft by putting a windmill and propeller on the same axis
https://kerbalx.com/ZobrAz/plane-Glitch-Glider. The windmill keeping the rotor going is made of regular KSP airfoils so its lift gets the full lever arm.
The prop pulling the aircraft forward, and giving some slowing back-torque to the rotor, uses the BG blades so its lift gets reduced lever arm, which
results in the same forward force but reduced back-torque. That exploit is slightly less effective in 1.9.

2) BG props and helicopter blades show noticeable reduction in lift (stalling) as the angle of incidence increases.

These blades have lift that increases to about 9° angle of attack, then reduced lift at bigger angles relative to the local wind. (Other KSP wings have
peak lift at 30° from the curve defined in Physics.cfg.) The 9° does seem strangely small (
https://forum.kerbalspaceprogram.com/index.php?/topic/192623-broken-lift/).

| had tried several blades earlier without seeing any asymmetry, but was keeping to shallow angles on the blade pitch. 'Unwanted Yaw.craft' above
goes up to 12° pitch and is static on the ground so the angle of attack reaches 12° at full control -- until it wobbles and then one fan moves backward
on the turntable, making the air hit that fan at higher angle of attack, which gives reduced lift. The other fan moves forward, blades meeting the air at
a lower angle where they are more effective. So once the yaw gets going the differences in lift sustain it.

| can get 'Unwanted Yaw.craft' to yaw either left or right, depending on how fast | raise the throttle.

#15 - 04/05/2020 08:37 PM - XLjedi

Thanks, | appreciate the confirmation.
Although, | don't see why anyone would down vote this?

Do people think it's not a bug?

#16 - 04/06/2020 01:30 AM - Anonymous
The change that caused your rotor tilt was adding lines to configuration files, moving those yellow lift vectors away from the root of the blades (which
is where they go if | remove or type 0.0 in those lines). So that looks like an intentional change or repairing an earlier oversight.

Since you are familiar with the effect of a pitched helicopter prop in the airflow, you could reduce it by flattening the pitch of your helicopter blades
when the MH45Cyclone is moving under jet power. Keeping the RPMs up at high forward speeds could help as well. Anything to avoid twisted wings
turning relatively slowly, but moving through the air on a relatively fast aircraft.

#17 - 04/06/2020 04:46 AM - Anonymous
- File flattenedProp.jpg added

| downloaded the Cyclone 1.8.1 version to try my own advice.

Version 1.8.1 top speed 160 m/s with the boat, level at 400m, 175 m/s after | drop the boat

Version 1.9.1 (after un-inverting one prop as you say) top speed 160 m/s with boat, 175 m/s without
... changing the KAL-1000 curves to zero the pitch of the blades when at full throttle ...

top speed 164 m/s with boat and 179 m/s after dropping the boat.

So it looks like we haven't found your problem after all. | see the top speed (which is determined by jets, not propellers) exactly the same in 1.8.1 as
1.9.1, and flattening the blades makes only a cosmetic improvement. Sorry about that.

But that's a nice craft! | had a lot of fun trying it.

#18 - 04/06/2020 04:39 PM - XLjedi

OK, well thanks for trying it out. | usually don't fly it that high, for some reason it prefers to skim the waves. | know to get up to speed | might go as
high as 400m and then fly it down to 25-50m and see what speed it stabilizes at. But 165-ish is still plenty fast for a rescue helo.

| was going purely by the speed | was seeing in my flight test video on the helo and don't remember what version it was originally tested in where |
was seeing 175 m/s with the boat inside. | may tinker a bit with the blades to see if | can improve the rubbery effect. Dialing back the hover pitch
settings a bit at the top of end of the throttle might be worth testing, even if only cosmetic. | just need to see if it totally drops out of the sky when
people want to GUN IT, on the throttle. Flattening the blades is a very constructive bit of feedback there, thank you for that! | may have to enlist you
for more flight testing duty!

It did seem a bit hit-or-miss though on top-end speed and | was trying to vet that in my video a bit. Like once | detached/reattached the boat it like
changed the aerodynamics somehow. | thought it was due to kerbals in the command seats while flying.

In the KAL-1000 mapping you might notice | deliberately downshift on the rotor RPMs because the higher RPM has a gyroscopic stabilizing effect that
makes it harder to roll the craft during jet-speed flight.

Overall it still functions as intended, just looks a bit odd flying at speed. So | think | will end up flattening the blades a bit.

#19 - 04/07/2020 06:07 AM - Anonymous
XLjedi wrote:

| was going purely by the speed | was seeing in my flight test video on the helo and don't remember what version it was originally tested in where
| was seeing 175 m/s with the boat inside.

If you can't find the version that once went 175m/s, probably you should rewrite the bug report with benefit of what you know now.

Right now it claims a craft behaves differently between versions, but provides no such craft.

Also, the bits about "invisible evil forces" tilting the rotor blade "for no good reason" confused me. | didn't know if you expected more sophistication
like the effect of precession to tilt in another direction, or didn't know that a pitched prop moving at 175m/s (while also slowly rotating 20m/s) would
have lift in different directions on the two blades, or didn't want KSP to simulate that, or just wanted to rotors to be strong enough to withstand the
twist you happened to build, or were just upset about any changes to the behaviour of old craft. In its current state that is an embarrassingly unclear
bug report for Mr I-wanna-be-a-KSP2-beta-tester.

Maybe the speed was lost during revisions on the Cyclone if you re-attached things differently. | notice the top and bottom sections have parts that lie
in-line with the mk2 fuselages, but were attached to their sides (surface attached) and then slid in-line. KSPs simple drag model adds the drag of
each rocket stack, and when you side-attach KSP counts that as more stacks (see
https://forum.kerbalspaceprogram.com/index.php?/topic/168595-how-does-drag-work-these-days-anyway/&do=findComment&comment=3245856).

If | re-attached those branches of the craft in-line on the nodes, and then slide the parts back into place like sliding the batteries into the top mk2, | get
almost the speed in your video capture. If | also flatten the blade pitch, it cruises near sea level at 176 m/s with the boat on-board (versions 1.8.1 or
1.9.0 or 1.9.1 making no difference).

#20 - 04/07/2020 11:54 AM - XLjedi

You seem to be Mr. Better-at-this-than-me, so why don't you take the two bugs you did confirm, post those, and we'll just close or link this one to
those. | may not be so technically advanced, but my craft have a tendency to find bugs immediately, that others just don't notice. Although, based on
the reaction | get from people; | think I'll withdraw the beta test offer. The ridicule just isn't worth it.

Not sure why | even bother sometimes. This community tends to be rabidly defensive of bug reporting and the default position is typically "by design"
and you have to take their own craft and show em how it doesn't work before they acknowledge there's any issue at all. ...or better yet, "It's a rocket
game, why should we care about". Hard to get any bearing at all on what might be driving a rotor/propeller blade issue when they change the
aero-modeling of it 2 or 3 times in as many months!

This one had baffled me as to what was going on. There still are instability issues with unwanted yaw in the multi-engine craft. It was a bit of a
hodge-podge of issues that were maybe linked based on forum discussion among a few people who saw similar 20-25 m/s performance hits to their
hangars of multi-engine propeller craft. It started as trying to figure out WTH the green vectors are doing, and why my multi-engine craft was going
unstable at speed. | mean some vectors it seems are obvious, but is there an actual Squad explanation somewhere of what each one does and why?

Maybe you can get some action on this report | did write clearly? ...for a more glaringly obvious bug?
https://bugs.kerbalspaceprogram.com/issues/24435

#21 - 04/07/2020 02:42 PM - XLjedi
k-ohara5a5a@oco.net wrote:

Maybe the speed was lost during revisions on the Cyclone if you re-attached things differently. | notice the top and bottom sections have parts
that lie in-line with the mk2 fuselages, but were attached to their sides (surface attached) and then slid in-line. KSPs simple drag model adds the
drag of each rocket stack, and when you side-attach KSP counts that as more stacks (see
https:/forum.kerbalspaceprogram.com/index.php?/topic/168595-how-does-drag-work-these-days-anyway/&do=findComment&comment=324585
6).
If | re-attached those branches of the craft in-line on the nodes, and then slide the parts back into place like sliding the batteries into the top mk2,
| get almost the speed in your video capture. If | also flatten the blade pitch, it cruises near sea level at 176 m/s with the boat on-board (versions
1.8.1 or 1.9.0 or 1.9.1 making no difference).

| don't recall going out of my way to make things look like they were stacked by sliding them into position vs. attaching to the node? I'll take a look but
that sounds very odd to me. Are you sure that's not somehow related to use of autostrut?

Could | see the craft you made that goes 176 m/s in 1.9.1? | did update my 1.9.1 version for the flat blades which solved the odd appearance, but
tweaking it further as you suggest didn't have any effect on the speed.

#22 - 04/07/2020 06:25 PM - XLjedi
k-ohara5a5a@oco.net wrote:
XLjedi wrote:
| was going purely by the speed | was seeing in my flight test video on the helo and don't remember what version it was originally tested in

where | was seeing 175 m/s with the boat inside.

If you can't find the version that once went 175m/s, probably you should rewrite the bug report with benefit of what you know now.
Right now it claims a craft behaves differently between versions, but provides no such craft.

I'd clean it up if | could... but the original reports can't be edited. The craft | provided most certainly behaves differently between versions. You
expressed that here:

The change that caused your rotor tilt was adding lines to configuration files, moving those yellow lift vectors away from the root > of the blades
(which is where they go if | remove or type 0.0 in those lines). So that looks like an intentional change or repairing > an earlier oversight.

So maybe not the config change that caused the speed loss. We're just down to: How do you fix unwanted yaw craft? Which changed in 1.9.0 vs.
1.9.1. If we can fix this or squash the bug, maybe my helo also picks up lost speed as well?

#23 - 04/08/2020 08:04 AM - Anonymous
- File ohara_a.craft added

I'm practiced at figuring out what is going on, and what is going wrong, after 35 years debugging things. In this case, | see what is going on, but
personally think it is just fine.
But you make more popular KSP craft, so if you're clear what you want and why, Squad and friends might listen more to you.

The Ul is not obvious, but you should see a pencil and 'Edit' beside 'Description' whenever you comment on your own bug report. Clicking that 'Edit’
lets you change the description.

| put the streamlined Cyclone at https://kerbalx.com/OHara/analyzing-the-Cyclone

Issue 1, the changed location of the yellow lift-forces,did not slow down the jet-mode Cyclone, based on my flight tests, only made the blades tilt.
Purely prop craft, though, slow down a lot because now there is some back-force on the engine. Fourfa's Twin Kessna, for example, goes 264 m/s
(510kts) in version 1.8.1 on its electric motors, but only 108 m/s (210kts) in version 1.9.x because now there is some back-torque slowing down the
electric engines. https://kerbalx.com/fourfa/Kessna-Twin-Mkl|

Issue 2, the yaw in a twin-prop with large blade-pitch, behaves the same for me in 1.8.1 through 1.9.1, and was explained by AHHans in a way that
matches what | observe (https:/forum.kerbalspaceprogram.com/index.php?/topic/192657-green-vectors/&do=findComment&comment=3765248). |
rebuilt the ohara_a.craft to work in 1.8.1 and there it does reliably yaw left from a stationary start. If | start just a little yaw with reaction wheels before
spinning the props, | can get it to yaw continuously either way, but only when | have the blade pitch above 6° where the lift decreases on the prop
moving backward. At lower pitch the yaw slows to a stop.

#24 - 04/09/2020 03:16 PM - XLjedi

There is a quote option, but no pencil next to "Description” so | can't edit the original yellow report section. (it's aggravating)
There is a pencil next to the Bug#, but it just allows me to make another comment. (literally this comment)
There is a pencil next to the files section, it only allows me to add/edit files.

For issue 2, do you really consider 12-25° to be "large" blade-pitch? Standard takeoff would require somewhere in that region where your lift vectors
are being maximized in the 15-25°-ish range. Do you really build propeller craft that takeoff/operate with 3-6° blade pitch? 20-25° blade pitch is
nothing!

My multi-engine gets a bit squirrely in the 250-ish m/s range without SAS enabled. It seems odd that SAS can so efficiently counteract the impact. |
have pure ducted-fan designs that are quite happy in the 270 m/s range so I'm looking at either the propellers or (possibly) the length/width ratio as a
cause for instability at speed.

| can't comment on the backforce engine issue you mention because | haven't bothered with prop craft prior to my more recent 1.9.1 hybrid engine
designs due to the poor blade performance. | assume my 264 m/s twin would go a lot faster then if they made a change in this respect? It's not
unusual for me to use up to 70° blade pitch to maintain some forward pull from the big props when the relative airspeed requires it.

#25 - 04/10/2020 05:42 AM - Anonymous
- File edit.jpg added

After you start a new comment, you get a 'Description: Edit' near where you would 'Confirm' someone else's report.

Right, 12°-25° is not a large angle, especially considering how KSPs wings get peak lift at 30°.

When | said 'yaw with large blade-pitch' | guess | was comparing to the pitch where those blades bite the air best.

For me, the strongest forward pull when stationary is at 9° pitch, and when moving the strongest lift from the blades seems to be when they are 9°
relative to the wind.

To me it seems reasonable that stalling the blades of the backward moving prop results in persistent yaw. The thing that seems strange is that the
blades stall at such a small angle, so | said "the 9° seems strangely small" up in #14. That means players have to tweak the prop pitch in a narrow

range to fly, for example, Fourfa's Kessna Twin to its full potential. It is a matter of judgment, but | think the narrow range is too narrow to be 'fun’, and
1Smug_ does not seem to like the easy stalling of the blades on one side of his craft.

#26 - 04/10/2020 03:28 PM - XLjedi
k-ohara5a5a@oco.net wrote:

After you start a new comment, you get a 'Description: Edit' near where you would 'Confirm' someone else's report.

AhhHA! LOL ...well that's just terrible. Can't just be me that has missed that!

I'll see about cleaning up this mess now. | did find another stupid 'bug' while further flight testing the cyclone. Totally unrelated, but | had noticed and
commented on it in my flight video in that prior version. So, it's been around for awhile. [ just think | know how to duplicate it now.

| don't know that I'm inclined to carry the torch on the confirmed issues noted on this tracker. They don't seem to bother me too much. Do you have

any ideas on why my P-39 multi-engine gets loose around the 250 m/s range? If it's this blade-stalling issue on one side, | don't see how SAS should
be able to so efficiently counter the effect? Flies smooth as glass with SAS on, up into the 270 range, flip off SAS and it veers. Which | find curious.
#27 - 04/11/2020 12:16 AM - XLjedi
- Tracker changed from Bug to Feedback
- Severity changed from Low to Very Low

- Start date deleted (04/03/2020)
